# Uses of Class
org.eclipse.draw2d.Animator

Packages that use Animator
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of Animator in org.eclipse.draw2d

Subclasses of Animator in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`LayoutAnimator`
Animates the layout of a figure's children.
`class`
`RoutingAnimator`
Animates the routing of a connection.
Methods in org.eclipse.draw2d with parameters of type Animator
Modifier and Type
Method
Description
`static Object`
Animation.`getFinalState(Animator animator, IFigure figure)`
Returns the final animation state for the given figure.
`static Object`
Animation.`getInitialState(Animator animator, IFigure figure)`
Returns the initial animation state for the given animator and figure.